//mCPUView.h @ app
#ifndef _mCPUView_h_
#define _mCPUView_h_

#include "mConstant.h"

class mCPUView
		: public BView
{
public:
						mCPUView(BRect frame, const char *name, uint32 resizeMask, uint32 flags);
						~mCPUView();
	virtual void 		MessageReceived(BMessage *message);	
	void				Draw(BRect update);	
	void				Pulse();	
	
private:
	float				mViewPlaceX, mViewPlaceY, mViewWidthX, mViewWidthY;
	
	bigtime_t			mLastActiveTime, mLastClockTime;
	bigtime_t			mLastActiveTime1, mLastClockTime1;
	bigtime_t			mLastActiveTime2, mLastClockTime2;
	bigtime_t			mDifActiveTime, mDifClockTime;
	bigtime_t			mDifActiveTime1, mDifClockTime1;
	bigtime_t			mDifActiveTime2, mDifClockTime2;
	float				mPercentage;
	float				mPercentage1;
	float				mPercentage2;
	float				mBarColor_r, mBarColor_g, mBarColor_b;
	BString				mDrawerString;
	
	BStatusBar*			B_mCPUStatusBar;
	BStatusBar*			B_mCPUStatusBar1;
	BStatusBar*			B_mCPUStatusBar2;
	
	BBitmap*			mCPUBitmap;
	BitmapView*			mCPUBitmapView;
	BString				mCPUImagePath;
	
	BPath				path;
	status_t			status;
	BFile				file;
	BMessage 			savemessage;
};

#endif