#ifndef _mRAMView_h_
#define _mRAMView_h_

#include "mConstant.h"

class mRAMView
		: public BView
{
public:
						mRAMView(BRect frame, const char *name, uint32 resizeMask, uint32 flags);
						~mRAMView();
	virtual void 		MessageReceived(BMessage *message);	
	void				Draw(BRect update);	
	void				Pulse();	
	
private:
	float				mViewPlaceX, mViewPlaceY, mViewWidthX, mViewWidthY;

	int					mRamUsagePercent, mLastRamUsagePercent;
	BString				mDrawString;
	BStatusBar*			B_mRAMStatusBar;
	system_info 		sys_info;
	
	BBitmap*			mRamBitmap;
	BitmapView*			mRamBitmapView;
	BString				mRAMImagePath;
	float				mBarColor_r, mBarColor_g, mBarColor_b;
	
	BPath				path;
	status_t			status;
	BFile				file;
	BMessage 			savemessage;
};

#endif