#ifndef _mSPView_h_
#define _mSPView_h_

#include "mConstant.h"

class mSPView
		: public BView
{
public:
						mSPView(BRect frame, const char *name, uint32 resizeMask, uint32 flags);
						~mSPView();
	virtual void 		MessageReceived(BMessage *message);	
	void				Draw(BRect update);	
	void				Pulse();	
	void				Updater();
	
	BRect				mUpdateRect;
	int					X;
	float				mViewPlaceX, mViewPlaceY, mViewWidthX, mViewWidthY;
	
	BButton*			mSPButtonPlayP;
	
	BString				mSPBubbleTips[7];
	
private:
	
	BButton*			mSPButtonPlayFB;
	BButton*			mSPButtonPlayB;
	BButton*			mSPButtonStop;
	BButton*			mSPButtonPlayF;
	BButton*			mSPButtonPlayFF;
	BButton*			mSPButtonPlayN;
	bool				mShowButton[6];
	int					usedframes;
	BString				mDrawString, mDrawString2;
	int					CMDLine;
	
	char				buf[1024];
	char				buf2[1024];
	BString				lastname;
	BRect				ScreenResolution;
	float				screenres_r;
	BString				mSPImagePath;
	BBitmap*			mSPBitmap;
	BitmapView*			mSPBitmapView;

	BPath				path;
	status_t			status;
	BFile				file;
	BMessage 			savemessage;
	bool				mShowBool;
};

#endif