#ifndef _mUptimeView_h_
#define _mUptimeView_h_

#include "mConstant.h"

class mUptimeView
		: public BView
{
public:
						mUptimeView(BRect BR_mUptimeView, const char *name, uint32 resizeMask, uint32 flags);
						~mUptimeView();
	virtual void 		MessageReceived(BMessage *message);	
	void				Draw(BRect update);	
	void				Pulse();	
	void				Updater();
	void				PostUpdater();
	
private:
	float				mViewPlaceX, mViewPlaceY, mViewWidthX, mViewWidthY;

	BString				bs_mDrawString;
	BString				bs_mDrawString2;
	BString				bs_day, bs_hour, bs_sec, bs_min;
	float				uptime;
	int					sec, min, hour, day;
	BRect				BR_mUptimeUpdateRect;
	
	BBitmap*			mUptimeBitmap;
	BitmapView*			mUptimeBitmapView;
	BString				mUptimeImagePath;
	
	BPath				path;
	status_t			status;
	BFile				file;
	BMessage 			savemessage;
};

#endif