//UtilView.cpp @ App
#include "mUtilView.h"

const BRect BR_mUtilBitmapFrame			(2, 4, 27, 30);

const rgb_color mBack = 				(ui_color(B_PANEL_BACKGROUND_COLOR));
const rgb_color mBlue = 				{50, 102, 152, 111};
const rgb_color mBlack = 				{0, 0, 0, 0};
const rgb_color mWhite = 				{255, 255, 255, 255};

mUtilView::mUtilView(BRect BR_mUtilView, const char *name, uint32 resizeMask, uint32 flags)
			: BView(BRect(400, 0, 460, 30), "mUtilName", B_FOLLOW_LEFT | B_FOLLOW_TOP,
			 B_WILL_DRAW | B_NAVIGABLE | B_PULSE_NEEDED | B_FRAME_EVENTS)
{
MSave savefile("savefile");
MSave loadfile("loadfile");
SetViewColor(mBack);
SetHighColor(mBlack);
SetLowColor(mWhite);

/*set view size*/
find_directory(B_COMMON_SETTINGS_DIRECTORY, &path);
/* utilview place X*/
loadfile.FindFloat(path, SAVEFILE, "utilview_l", &mViewPlaceX, 0);
/* utilview width X*/
loadfile.FindFloat(path, SAVEFILE, "utilview_w", &mViewWidthX, 0);
MoveTo(mViewPlaceX, 0);
ResizeTo(mViewWidthX, 30);

/*Image Path*/
loadfile.FindString(path, SAVEFILE, "utilview_icon", &mUtilImagePath, ICON5);

mUtilBitmap = BTranslationUtils::GetBitmap(mUtilImagePath.String());
mUtilBitmapView = new BitmapView(mUtilBitmap, BR_mUtilBitmapFrame, "mUtilBitmap");
AddChild(mUtilBitmapView);
}

mUtilView::~mUtilView()
{

}

void mUtilView::MessageReceived(BMessage *message)
{
	switch(message->what)
	{
	default:
	mUtilView::MessageReceived(message);
	break;
	}
}

void mUtilView::Draw(BRect update)
{
system_info sys_info;
get_system_info(&sys_info);
mDrawString.SetTo("");
if (sys_info.cpu_count == 1)
{
percent = ((sys_info.cpu_infos[0].active_time * 100) / system_time());
mDrawString << percent << "%";
}
else
{
/*?*/
percent = ((((sys_info.cpu_infos[0].active_time * 100) + (sys_info.cpu_infos[1].active_time * 100)) /2 ) / system_time());
mDrawString << percent << "%";
}
MovePenTo(30, 20);
if (lastpercent == percent)
{
BR_mUtilUpdateRect.Set(0, 0, 0, 0);
DrawString(mDrawString.String());
}
else
{
BR_mUtilUpdateRect.Set(0, 0, 60, 30);
DrawString(mDrawString.String());
}

lastpercent = percent;
}

void mUtilView::Pulse()
{
Invalidate(BR_mUtilUpdateRect);
}
