#include "mWorkView.h"

const BRect BR_mNextButtonFrame			(20, 2, 39, 25);
const BRect BR_mPrevButtonFrame			(0, 2, 19, 25);

const rgb_color mBack = 				(ui_color(B_PANEL_BACKGROUND_COLOR));
const rgb_color mBlue = 				{50, 102, 152, 111};
const rgb_color mBlack = 				{0, 0, 0, 0};
const rgb_color mWhite = 				{255, 255, 255, 255};

mWorkView::mWorkView(BRect BR_mWorkView, const char *name, uint32 resizeMask, uint32 flags)
			: BView(BRect(30, 0, 80, 30), "mWorkName", B_FOLLOW_LEFT | B_FOLLOW_TOP,
			 B_WILL_DRAW | B_NAVIGABLE | B_PULSE_NEEDED | B_FRAME_EVENTS)
{
MSave savefile("savefile");
MSave loadfile("loadfile");
SetViewColor(mBack);
SetHighColor(mBlack);
SetLowColor(mBlack);
SetDrawingMode(B_OP_OVER);

/*set view size*/
find_directory(B_COMMON_SETTINGS_DIRECTORY, &path);
/* uptimeview place X*/
loadfile.FindFloat(path, SAVEFILE, "workview_l", &mViewPlaceX, 0);
/* uptimeview width X*/
loadfile.FindFloat(path, SAVEFILE, "workview_w", &mViewWidthX, 100);
MoveTo(mViewPlaceX, 0);
ResizeTo(mViewWidthX, 30);

mNextWorkButton = new BButton(BR_mNextButtonFrame, "mNextWorkButton", ">", new BMessage(MSG_NXTWRK));
mPrevWorkButton = new BButton(BR_mPrevButtonFrame, "mPrevWorkButton", "<", new BMessage(MSG_PRVWRK));

AddChild(mNextWorkButton);
AddChild(mPrevWorkButton);
}

mWorkView::~mWorkView()
{

}

void mWorkView::MessageReceived(BMessage *message)
{
	switch(message->what)
	{
	default:
	mWorkView::MessageReceived(message);
	break;
	}
}

void mWorkView::Draw(BRect update)
{

}

void mWorkView::Pulse()
{
Invalidate();
}
