#include "main.h"

int main(int32 argc, char** argv)
{
new mApp();

BPath				path;
BFile				file;
BString				mPathToExecFolder;
BMessage 			savemessage;

//We save the execDir to the settings file
MSave savefile("savefile");
find_directory(B_COMMON_SETTINGS_DIRECTORY, &path);
mPathToExecFolder.SetTo(argv[0]);
mPathToExecFolder.RemoveLast("iBar");
savefile.AddString(path, "iBarSettings", "execDir", mPathToExecFolder.String(), true);

be_app->Run();
return(0);
}


mApp::mApp() 
		: BApplication(ApplicationSignature)
{

}

mApp::~mApp()
{

}

void mApp::ReadyToRun()
{
MSave savefile("savefile");
find_directory(B_COMMON_SETTINGS_DIRECTORY, &path);
//Check for update
savefile.FindString(path, "iBarSettings", "execDir", &mPathToFileUpdates, "/boot/apps/iBar");
mPathToFileUpdates.Append("/Scripts/CheckForUpdates");
system(mPathToFileUpdates.String());
CheckForUpdate = spawn_thread(CheckForUpdateThread_static, "Check For Updates",
										B_NORMAL_PRIORITY, this);
resume_thread(CheckForUpdate);

MainWindow = new mWindow("iBar");
if (MainWindow != NULL)
{
	MainWindow->Show();
}
else
{
	be_app->PostMessage(B_QUIT_REQUESTED);
}
}

/**********************************************************/
//Check for updates
int32
mApp::CheckForUpdateThread_static(void *data)
{
	mApp *check4updates = (mApp *)data;
	check4updates->CheckForUpdateThread();
	return 0;
}

/**********************************************************/
void mApp::CheckForUpdateThread()
{
MSave savefile("savefile");
find_directory(B_COMMON_SETTINGS_DIRECTORY, &path);
snooze(20000000);
find_directory(B_COMMON_SETTINGS_DIRECTORY, &path);
mPathToFileVersion.SetTo(path.Path());
mPathToFileVersion.Append("/iBarVersion.txt");
mPathToFileURL.SetTo(path.Path());
mPathToFileURL.Append("/iBarURL.txt");

savefile.FindBool(path, "iBarSettings", "CheckForUpdates", &mCheckForUpdates, true);

FILE* md5 = fopen(mPathToFileVersion.String(), "r");
char version[1024];
fgets(version, sizeof(version), md5);
char version_current[1024];
strcpy(version_current, IBAR_VERSION);
cout << version << endl;
cout << version_current << endl;
	if ((strcmp(version, version_current)) != 0 && mCheckForUpdates == false)
	{
	FILE* url = fopen(mPathToFileURL.String(), "r");
	char mURLToNewFile[1024];
	fgets(mURLToNewFile, sizeof(mURLToNewFile), url);
	
	switch((new BAlert("BAlertUpdate", "A new version of iBar is available, do you want to download it?",
						 "No, and never ask me again", "No", "Yes"))->Go())
	{
	//yes
	case 2:
	{
	BString command2;
	command2.SetTo("/boot/beos/apps/NetPositive ");
	command2.Append(mURLToNewFile);
	system(command2.String());
	break;
	}
	case 0:
	savefile.AddBool(path, "iBarSettings", "CheckForUpdates", false, true);
	break;
	}
	}
}
