//mCPUView.h @ Pref
#ifndef _mCPUView_h_
#define _mCPUView_h_

#include "mConstant.h"

class mCPUView
		: public BView
{
public:
						mCPUView(BRect frame, const char *name, uint32 resizeMask, uint32 flags);
						~mCPUView();
	virtual void 		MessageReceived(BMessage *message);	
	void				Draw(BRect update);	
	void				Pulse();	
	
	BView* 				mCPUColorShowView;
	BColorControl*		mCPUColorControl;
	BBitmap*			mCPUBitmap;
	BitmapView*			mCPUBitmapView;
	
	float				mCPUColor_r, mCPUColor_g, mCPUColor_b;
private:
	BBox*				mCPUMainBox;
	BBox*				mCPUColorBox;
	BBox*				mCPUIconBox;
	BButton*			mCPUDefaultButton;
	BButton*			mCPUAboutButton;
	BButton*			mCPUNextIconButton;
	
	BString				mCPUInitialIcon;
	
	BPath				path;
};

#endif