//mSPView.h @ Pref
#ifndef _mSPView_h_
#define _mSPView_h_

#include "mConstant.h"

class mSPView
		: public BView
{
public:
						mSPView(BRect frame, const char *name, uint32 resizeMask, uint32 flags);
						~mSPView();
	virtual void 		MessageReceived(BMessage *message);	
	void				Draw(BRect update);	
	void				Pulse();	
	
	BCheckBox*			mSPBackCheckBox;
	BCheckBox*			mSPFRewCheckBox;
	BCheckBox*			mSPRewCheckBox;
	BCheckBox*			mSPStopCheckBox;
	BCheckBox*			mSPForwCheckBox;
	BCheckBox*			mSPFForwCheckBox;
	BCheckBox*			mSPNextCheckBox;
	
	BBitmap*			mSPBitmap;
	BitmapView*			mSPBitmapView;
	
private:
	BBox*				mSPBox;
	BBox*				mSPCheckBoxBox;
	BBox*				mSPIconBox;
	BButton*			mSPAboutButton;
	BButton*			mSPDefaultButton;
	BButton*			mSPNextIconButton;
	BButton*			mSPAddIconButton;
	BString				mSPInitialIcon;
	
	BPath				path;
	status_t			status;
	BFile				file;
	BMessage 			savemessage;
	bool				mShowBool;
};

#endif