//mUptimeView.cpp @ Pref
#include "mUptimeView.h"

const rgb_color mBack = (ui_color(B_PANEL_BACKGROUND_COLOR));
const rgb_color mBlue = {50, 102, 152, 111};
const rgb_color mBlack = {0, 0, 0, 0};
const rgb_color mWhite = {255, 255, 255, 255};

const BRect BR_mUptimeMainBoxFrame				(5, 5, 255, 235);
const BRect BR_mUptimeAboutButtonFrame			(105, 202, 130, 222);
const BRect BR_mUptimeDefaultButtonFrame		(14, 202, 100, 222);

const BRect BR_mUptimeIconBoxFrame				(15, 20, 70, 95);
const BRect BR_mUptimeBitmapFrame				(30, 35, 55, 60);
const BRect BR_mUptimeNextIconButtonFrame		(20, 67, 65, 85);

mUptimeView::mUptimeView(BRect frame, const char *name, uint32 resizeMask, uint32 flags)
			: BView(BRect(240, 0, 600, 280), "mUptimeName", B_FOLLOW_LEFT | B_FOLLOW_TOP,
			 B_WILL_DRAW | B_NAVIGABLE | B_PULSE_NEEDED)
{
MSave savefile("savefile");
MSave loadfile("loadfile");
find_directory(B_COMMON_SETTINGS_DIRECTORY, &path);
SetViewColor(mBack);
SetHighColor(mBlack);
SetLowColor(mWhite);
SetDrawingMode(B_OP_OVER);

mUptimeAboutButton = new BButton(BR_mUptimeAboutButtonFrame, "mUptimeAboutButton", "?", 
						new BMessage(MSG_ABOUTUPTIMEVIEW));
mUptimeDefaultButton = new BButton(BR_mUptimeDefaultButtonFrame, "mUptimeDefaultButton",
					 "Default", new BMessage(MSG_UPTIMEDEFAULT));
mUptimeNextIconButton = new BButton(BR_mUptimeNextIconButtonFrame, "mUptimeNextIconButton", "Next",
						new BMessage(MSG_UPTIMENEXTICON));

mUptimeMainBox = new BBox(BR_mUptimeMainBoxFrame, "BR_mUptimeMainBox");
mUptimeMainBox->SetLabel("Uptime View Configuration");
mUptimeIconBox = new BBox(BR_mUptimeIconBoxFrame, "mUptimeIconBox");
mUptimeIconBox->SetLabel("Icon");

/*initial icon*/
loadfile.FindString(path, SAVEFILE, "uptimeview_icon", &mUptimeInitialIcon, ICON4);

mUptimeBitmap = BTranslationUtils::GetBitmap(mUptimeInitialIcon.String());
mUptimeBitmapView = new BitmapView(mUptimeBitmap, BR_mUptimeBitmapFrame, "mUptimeBitmap");
AddChild(mUptimeBitmapView);

AddChild(mUptimeDefaultButton);
AddChild(mUptimeAboutButton);
AddChild(mUptimeNextIconButton);
AddChild(mUptimeMainBox);
AddChild(mUptimeIconBox);
}

mUptimeView::~mUptimeView()
{

}

void mUptimeView::MessageReceived(BMessage *message)
{
	switch(message->what)
	{
	default:
	
	break;
	}
}

void mUptimeView::Draw(BRect update)
{
MovePenTo(50, 50);
DrawString("UPTIMEVIEW");

}

void mUptimeView::Pulse()
{
Invalidate();
}
