//mUtilView.cpp @ Pref
#include "mUtilView.h"

const rgb_color mBack = (ui_color(B_PANEL_BACKGROUND_COLOR));
const rgb_color mBlue = {50, 102, 152, 111};
const rgb_color mBlack = {0, 0, 0, 0};
const rgb_color mWhite = {255, 255, 255, 255};

const BRect BR_mUtilMainBoxFrame			(5, 5, 255, 235);
const BRect BR_mUtilAboutButtonFrame		(105, 202, 130, 222);
const BRect BR_mUtilDefaultButtonFrame		(14, 202, 100, 222);

const BRect BR_mUtilIconBoxFrame			(15, 20, 70, 95);
const BRect BR_mUtilBitmapFrame				(30, 35, 55, 60);
const BRect BR_mUtilNextIconButtonFrame		(20, 67, 65, 85);

mUtilView::mUtilView(BRect frame, const char *name, uint32 resizeMask, uint32 flags)
			: BView(BRect(240, 0, 600, 280), "mUtilName", B_FOLLOW_LEFT | B_FOLLOW_TOP,
			 B_WILL_DRAW | B_NAVIGABLE | B_PULSE_NEEDED)
{
MSave savefile("savefile");
MSave loadfile("loadfile");
find_directory(B_COMMON_SETTINGS_DIRECTORY, &path);
SetViewColor(mBack);
SetHighColor(mBlack);
SetLowColor(mWhite);
SetDrawingMode(B_OP_OVER);

mUtilAboutButton = new BButton(BR_mUtilAboutButtonFrame, "mUtilAboutButton", "?", 
						new BMessage(MSG_ABOUTUTILVIEW));
mUtilDefaultButton = new BButton(BR_mUtilDefaultButtonFrame, "mUtilDefaultButton",
					 "Default", new BMessage(MSG_UTILDEFAULT));
mUtilNextIconButton = new BButton(BR_mUtilNextIconButtonFrame, "mUtilNextIconButton", "Next",
						new BMessage(MSG_UTILNEXTICON));

mUtilMainBox = new BBox(BR_mUtilMainBoxFrame, "BR_mUtilMainBox");
mUtilMainBox->SetLabel("Utilization View Configuration");
mUtilIconBox = new BBox(BR_mUtilIconBoxFrame, "mUtilIconBox");
mUtilIconBox->SetLabel("Icon");

/*initial icon*/
loadfile.FindString(path, SAVEFILE, "utilview_icon", &mUtilInitialIcon, ICON5);

mUtilBitmap = BTranslationUtils::GetBitmap(mUtilInitialIcon.String());
mUtilBitmapView = new BitmapView(mUtilBitmap, BR_mUtilBitmapFrame, "mUtilBitmap");
AddChild(mUtilBitmapView);

AddChild(mUtilDefaultButton);
AddChild(mUtilAboutButton);
AddChild(mUtilNextIconButton);
AddChild(mUtilMainBox);
AddChild(mUtilIconBox);
}

mUtilView::~mUtilView()
{

}

void mUtilView::MessageReceived(BMessage *message)
{
	switch(message->what)
	{
	default:
	
	break;
	}
}

void mUtilView::Draw(BRect update)
{
MovePenTo(50, 50);
DrawString("UTILVIEW");

}

void mUtilView::Pulse()
{
Invalidate();
}
