//mWindow.h @ Pref
#ifndef _mWindow_h_
#define _mWindow_h_

#include "mMainView.h"
#include "mWorkView.h"
#include "mCPUView.h"
#include "mRAMView.h"
#include "mUptimeView.h"
#include "mUtilView.h"
#include "mSPView.h"
#include "mConstant.h"

class mWindow : public BWindow
{
public:
						mWindow(const char *mWindowTitle);
						~mWindow();
	virtual void 		MessageReceived(BMessage* message);		
	virtual bool 		QuitRequested();
private:
	mMainView*			mmainview;
	mWorkView*			mworkview;
	mCPUView*			mcpuview;
	mRAMView*			mramview;
	mUptimeView*		muptimeview;
	mUtilView*			mutilview;
	mSPView*			mspview;
	BAlert*				mAlert;
	bool				mSomethingExpandedBool,	
							mWorkExpandedBool, 
							mCPUExpandedBool, 
							mRAMExpandedBool, 
							mUptimeExpandedBool, 
							mUtilExpandedBool, 
							mSPExpandedBool;
	
	bool					mFancyResize;
	status_t				status;
	BFile					file;
	BMessage 				savemessage;
	BPath					path;
	BString					mStringIcons[50];
	int						mIconNumbers;
	int						mSPIconNumber, mCPUIconNumber, mRAMIconNumber, mUtilIconNumber, mUptimeIconNumber;
};

#endif