#include "mCtrlView.h"

const BRect BR_mCloseButtonFrame		(20, 2, 39, 25);
const BRect BR_mPrefButtonFrame			(40, 2, 59, 25);
const BRect BR_mSetAlignmentButtonFrame	(60, 2, 79, 25);
const BRect BR_mAboutButtonFrame		(80, 2, 99, 25);
const BRect BR_mMiximizeFrame			(0, 2, 19, 25);

const rgb_color mBack = 				(ui_color(B_PANEL_BACKGROUND_COLOR));
const rgb_color mBlue = 				{50, 102, 152, 111};
const rgb_color mBlack = 				{0, 0, 0, 0};
const rgb_color mWhite = 				{255, 255, 255, 255};

mCtrlView::mCtrlView(BRect BR_mCtrlView, const char *name, uint32 resizeMask, uint32 flags)
			: BView(BRect(0, 0, 30, 30), "mCtrlName", B_FOLLOW_LEFT | B_FOLLOW_TOP,
			 B_WILL_DRAW | B_NAVIGABLE | B_PULSE_NEEDED | B_FRAME_EVENTS)
{
MSave savefile("savefile");
MSave loadfile("loadfile");
SetViewColor(mBack);
SetHighColor(mBlack);
SetLowColor(mBlack);
SetDrawingMode(B_OP_OVER);

/*set view size*/
find_directory(B_COMMON_SETTINGS_DIRECTORY, &path);
/* uptimeview place X*/
loadfile.FindFloat(path, SAVEFILE, "ctrlview_l", &mViewPlaceX, 0);
/* uptimeview width X*/
loadfile.FindFloat(path, SAVEFILE, "ctrlview_w", &mViewWidthX, 100);
MoveTo(mViewPlaceX, 0);
ResizeTo(mViewWidthX, 30);
/*************/

miBarIsMaximized = true;

mCloseButton = new BButton(BR_mCloseButtonFrame, "mCloseButton", "X", new BMessage(MSG_QUIT));
mPrefButton = new BButton(BR_mPrefButtonFrame, "mPrefButton", "P", new BMessage(MSG_PREF));
mSetAlignmentButton = new BButton(BR_mSetAlignmentButtonFrame, "mSetButtonAlignment", "0", new BMessage(MSG_SETALIGNMENT));
mMiximize = new BButton(BR_mMiximizeFrame, "mMiximize", "|", new BMessage(MSG_MIXIMIZE));
mAboutButton = new BButton(BR_mAboutButtonFrame, "mAboutiBar", "A", new BMessage(MSG_ABOUT));

AddChild(mCloseButton);
AddChild(mPrefButton);
AddChild(mSetAlignmentButton);
AddChild(mMiximize);
AddChild(mAboutButton);
}

mCtrlView::~mCtrlView()
{

}

void mCtrlView::MessageReceived(BMessage *message)
{
	switch(message->what)
	{
	default:
	mCtrlView::MessageReceived(message);
	break;
	}
}

void mCtrlView::Draw(BRect update)
{

}

void mCtrlView::Pulse()
{
Invalidate();
}
