//mMainView.h @ Pref
#ifndef _mMainView_h_
#define _mMainView_h_

#include "mConstant.h"

class mMainView
		: public BView
{
public:
						mMainView(BRect frame, const char *name, uint32 resizeMask, uint32 flags);
						~mMainView();
	virtual void 		MessageReceived(BMessage *message);	
	void				Draw(BRect update);	
	void				Pulse();	
	
	BCheckBox*			mWorkBox;
	BCheckBox*			mCPUBox;
	BCheckBox*			mRAMBox;
	BCheckBox*			mUptimeBox;
	BCheckBox*			mUtilBox;
	BCheckBox*			mSPBox;
	BCheckBox*			mFancyBox;
	
	BButton*			mWorkButton;
	BButton*			mCPUButton;
	BButton*			mRAMButton;
	BButton*			mUptimeButton;
	BButton*			mUtilButton;
	BButton*			mSPButton;	
	BButton*			mHiddenSpRestartIBarButton;
	
private:
		
	BBox*				mMainBox;
	BPath				path;
	status_t			status;
	BFile				file;
	BMessage 			savemessage;
	bool				mUpdateNeeded;
	bool				mAppRunning;
	bool				mShowBool;
	int					mRandFortuneNumber;
};

#endif
