//mRAMView.h @ Pref
#ifndef _mRAMView_h_
#define _mRAMView_h_

#include "mConstant.h"

class mRAMView
		: public BView
{
public:
						mRAMView(BRect frame, const char *name, uint32 resizeMask, uint32 flags);
						~mRAMView();
	virtual void 		MessageReceived(BMessage *message);	
	void				Draw(BRect update);	
	void				Pulse();	
	
	BView* 				mRAMColorShowView;
	BColorControl*		mRAMColorControl;
	BBitmap*			mRAMBitmap;
	BitmapView*			mRAMBitmapView;
	
	float				mRAMColor_r, mRAMColor_g, mRAMColor_b;
private:
	BBox*				mRAMMainBox;
	BBox*				mRAMColorBox;
	BBox*				mRAMIconBox;
	BButton*			mRAMDefaultButton;
	BButton*			mRAMAboutButton;
	BButton*			mRAMNextIconButton;
	
	BString				mRAMInitialIcon;
	
	BPath				path;
		
	
};

#endif